fl_ask.H File Reference

API for common dialogs. More...

`#include "Enumerations.H"`

Go to the source code of this file.

## Macros

#define | __fl_attr(x)

## Enumerations

enum | Fl_Beep { FL_BEEP_DEFAULT = 0, FL_BEEP_MESSAGE, FL_BEEP_ERROR, FL_BEEP_QUESTION, FL_BEEP_PASSWORD, FL_BEEP_NOTIFICATION }
| Different system beeps available. More...

## Functions

FL_EXPORT void FL_EXPORT void | fl_alert (const char *,...) __fl_attr((__format__(__printf__
FL_EXPORT void FL_EXPORT void FL_EXPORT int | fl_ask (const char *,...) __fl_attr((__format__(__printf__
FL_EXPORT void | fl_beep (int type=FL_BEEP_DEFAULT)
| Emits a system beep message. More...
FL_EXPORT int | fl_choice (const char *q, const char *b0, const char *b1, const char *b2,...) __fl_attr((__format__(__printf__
FL_EXPORT int FL_EXPORT const char * | fl_input (const char *label, const char *deflt=0,...) __fl_attr((__format__(__printf__
FL_EXPORT void | fl_message (const char *,...) __fl_attr((__format__(__printf__
void | fl_message_font (Fl_Font f, Fl_Fontsize s)
FL_EXPORT void | fl_message_hotspot (int enable)
| Sets whether or not to move the common message box used in many common dialogs like fl_message(), fl_alert(), fl_ask(), fl_choice(), fl_input(), fl_password() to follow the mouse pointer. More...
FL_EXPORT int | fl_message_hotspot (void)
| Gets whether or not to move the common message box used in many common dialogs like fl_message(), fl_alert(), fl_ask(), fl_choice(), fl_input(), fl_password() to follow the mouse pointer. More...
FL_EXPORT int FL_EXPORT const char FL_EXPORT const char FL_EXPORT Fl_Widget * | fl_message_icon ()
| Gets the Fl_Box icon container of the current default dialog used in many common dialogs like fl_message(), fl_alert(), fl_ask(), fl_choice(), fl_input(), fl_password() More...
FL_EXPORT void | fl_message_title (const char *title)
| Sets the title of the dialog window used in many common dialogs. More...
FL_EXPORT void | fl_message_title_default (const char *title)
| Sets the default title of the dialog window used in many common dialogs. More...
FL_EXPORT int FL_EXPORT const char FL_EXPORT const char * | fl_password (const char *label, const char *deflt=0,...) __fl_attr((__format__(__printf__

## Variables

FL_EXPORT void FL_EXPORT void FL_EXPORT int | __deprecated__
FL_EXPORT const char * | fl_cancel
| string pointer used in common dialogs, you can change it to another language
FL_EXPORT const char * | fl_close
| string pointer used in common dialogs, you can change it to another language
FL_EXPORT Fl_Font | fl_message_font_
FL_EXPORT Fl_Fontsize | fl_message_size_
FL_EXPORT const char * | fl_no
| string pointer used in common dialogs, you can change it to another language
FL_EXPORT const char * | fl_ok
| string pointer used in common dialogs, you can change it to another language
FL_EXPORT const char * | fl_yes
| string pointer used in common dialogs, you can change it to another language

## Detailed Description

API for common dialogs.

## Enumeration Type Documentation

enum Fl_Beep

Different system beeps available.

See Also
  fl_beep(int)

Enumerator
FL_BEEP_DEFAULT | Default beep.
FL_BEEP_MESSAGE | Message beep.
FL_BEEP_ERROR | Error beep.
FL_BEEP_QUESTION | Question beep.
FL_BEEP_PASSWORD | Password beep.
FL_BEEP_NOTIFICATION | Notification beep.

- © 1998-2012 by Bill Spitzak and others.